; Green6/theme.jl

(let*
  (
    (font-colors (list "green"
                       "white"))

    (top-left-image (make-image "top-left.png"))
    (top-left-shaped-image (make-image "top-left-shaped.png"))
    (title-image (list (make-image "top-inactive.png")
                       (make-image "top-active.png")))
    (left-top-image (make-image "left-top.png"))    
    (top-right-image (make-image "top-right.png"))
    (top-right-shaped-image (make-image "top-right-shaped.png"))
    (bottom-left-image (make-image "bottom-left.png"))
    (bottom-image (make-image "bottom.png"))
    (bottom-right-image (make-image "bottom-right.png"))
    (left-image (make-image "left.png"))
    (right-image (make-image "right.png"))
    (close-image (list (make-image "close.png")
                       (make-image "close.png")
                       (make-image "close-over.png")
                       (make-image "close-clicked.png")))

    (frame `(
        ((background . ,top-left-image)
         (top-edge . -24)
         (left-edge . -13)
         (class . title))
        ((background . ,title-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 40)
         (right-edge . 13)
         (top-edge . -22)
         (class . title))
        ((background . ,top-right-image)
         (right-edge . -5)
         (top-edge . -22)
         (class . title))
        ((background . ,left-top-image)
         (left-edge . -13)
         (top-edge . 0)
         (class . left-border))
        ((background . ,left-image)
         (left-edge . -5)
         (top-edge . 40)
         (bottom-edge . 0)
         (class . left-border))
        ((background . ,right-image)
         (right-edge . -5)
         (top-edge . 0)
         (bottom-edge . 0)
         (class . right-border))
        ((background . ,bottom-left-image)
         (left-edge . -5)
         (bottom-edge . -5)
         (class . bottom-left-corner))
        ((background . ,bottom-image)
         (left-edge . 0)
         (right-edge .0)
         (bottom-edge . -5)
         (class . bottom-border))
        ((background . ,bottom-right-image)
         (right-edge . -5)
         (bottom-edge . -5)
         (class . bottom-right-corner))
         
        ((background . ,close-image)
         (right-edge . -2)
         (top-edge . -19)
         (class . close-button))
        
      ))

    (shaped-frame `(
        ((background . ,top-left-shaped-image)
         (top-edge . -24)
         (left-edge . -13)
         (class . title))
        ((background . ,title-image)
         (foreground . ,font-colors)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (left-edge . 40)
         (right-edge . 13)
         (top-edge . -22)
         (class . title))
        ((background . ,top-right-shaped-image)
         (right-edge . -5)
         (top-edge . -22)
         (class . title))
         
        ((background . ,close-image)
         (right-edge . -2)
         (top-edge . -19)
         (class . close-button))
        
      ))

   )
      
  (add-frame-style 'Green6
    (lambda (w type)
      (cond 
            ((eq type 'shaped) shaped-frame)
            ((eq type 'unframed) nil-frame)
            (t frame))))            
)
